Subject: Re: bug#18777: [PATCH] dfa: improvement for checking of multibyte character boundary

From: Norihiro Tanaka <[email-masked]>
Date: Thu, 18 Dec 2014 02:21:30 +0900

On Tue, 16 Dec 2014 16:06:54 -0800
Paul Eggert <[email-masked]> wrote:

> did you mean "robust in the presence of future changes? 

Yes.  However, I might have made too big a deal of the effect about
"Portable".

> True, but I wasn't worried so much about that. I was worried about the
> case where WCP != NULL: there, the inlined function will be slower
> because it won't use the faster approach of checking
> always_character_boundary[*p]: it'll always use the much-slower loop. 

If WCP != NULL, all of following code will be pruned, although I think
that it is ignorable for the performance.

  if (wcp == NULL && always_character_boundary[*p])
    return p;